com.google.gwt.user.client.ui

## Interface RichTextArea.ExtendedFormatter

All Superinterfaces:
  RichTextArea.BasicFormatter

All Known Subinterfaces:
  RichTextArea.Formatter

Enclosing class:
  RichTextArea

Deprecated.
use `RichTextArea.Formatter` instead

    @Deprecated
    public static interface RichTextArea.ExtendedFormatter
    extends RichTextArea.BasicFormatter

This interface is used to access full formatting options, when available. If the implementation supports full formatting, then `RichTextArea.getExtendedFormatter()` will return an instance of this class.

The formatter will format the user selected text in the `RichTextArea`. As a result, it will only work reliably if the `RichTextArea` is attached, visible to on the page, and has been focused at least once. If you just want to initialize the content of the `RichTextArea`, use `RichTextArea.setHTML(String)` instead.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `createLink(java.lang.String url)` Deprecated. Creates a link to the supplied URL.
`void` `insertHorizontalRule()` Deprecated. Inserts a horizontal rule.
`void` `insertImage(java.lang.String url)` Deprecated. Inserts an image element.
`void` `insertOrderedList()` Deprecated. Starts an numbered list.
`void` `insertUnorderedList()` Deprecated. Starts an bulleted list.
`boolean` `isStrikethrough()` Deprecated. Is the current region strikethrough?
`void` `leftIndent()` Deprecated. Left indent.
`void` `removeFormat()` Deprecated. Removes all formatting on the selected text.
`void` `removeLink()` Deprecated. Removes any link from the selected text.
`void` `rightIndent()` Deprecated. Right indent.
`void` `toggleStrikethrough()` Deprecated. Toggles strikethrough.

### Methods inherited from interface com.google.gwt.user.client.ui.RichTextArea.BasicFormatter

`getBackColor, getForeColor, isBold, isItalic, isSubscript, isSuperscript, isUnderlined, selectAll, setBackColor, setFontName, setFontSize, setForeColor, setJustification, toggleBold, toggleItalic, toggleSubscript, toggleSuperscript, toggleUnderline`

### Method Detail

#### createLink

    void createLink(java.lang.String url)

Deprecated.
Creates a link to the supplied URL.

Parameters:
  `url` - the URL to be linked to

#### insertHorizontalRule

    void insertHorizontalRule()

Deprecated.
Inserts a horizontal rule.

#### insertImage

    void insertImage(java.lang.String url)

Deprecated.
Inserts an image element.

Parameters:
  `url` - the url of the image to be inserted

#### insertOrderedList

    void insertOrderedList()

Deprecated.
Starts an numbered list. Indentation will create nested items.

#### insertUnorderedList

    void insertUnorderedList()

Deprecated.
Starts an bulleted list. Indentation will create nested items.

#### isStrikethrough

    boolean isStrikethrough()

Deprecated.
Is the current region strikethrough?

Returns:
  true if the current region is strikethrough

#### leftIndent

    void leftIndent()

Deprecated.
Left indent.

#### removeFormat

    void removeFormat()

Deprecated.
Removes all formatting on the selected text.

#### removeLink

    void removeLink()

Deprecated.
Removes any link from the selected text.

#### rightIndent

    void rightIndent()

Deprecated.
Right indent.

#### toggleStrikethrough

    void toggleStrikethrough()

Deprecated.
Toggles strikethrough.